<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEinteilungsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('einteilungen', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();

            $table->dateTime('start');
            $table->dateTime('ende')->nullable();

            $table->integer('user_id')->unsigned();
            $table->foreign('user_id')->references('id')->on('users');

            $table->integer('veranstaltung_id')->unsigned();
            $table->foreign('veranstaltung_id')->references('id')->on('veranstaltungen');
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('einteilungen');
    }
}
